function B = constructDAQ(path)

% parameters
nCh = 128;              % number of channels
reRoute = true;         % true: transducer element (correct image), false: DAQ element
chanls = ones(1,nCh);   % what channels to read (DAQ element), for each channel set to 1 
                        % if you want to read the data 
if (path(end) ~= '\')
    path = [path,'\'];
end

frameN = 1;
[hdr, RF] = readDAQ(path, chanls, frameN, reRoute);
numFrame = hdr(1);
B = sqrt( abs( hilbert(RF) ) ) ;

for frameN = 2:numFrame
    [~, RF] = readDAQ(path, chanls, frameN, reRoute);
    B(:,:,frameN) = sqrt( abs( hilbert(RF) ) ) ;
end