function quickshow(path)

nCh = 128;              % number of channels
reRoute = true;         % true: transducer element (correct image), false: DAQ element
chanls = ones(1,nCh);   % what channels to read (DAQ element), for each channel set to 1 
                        % if you want to read the data
fulAprSz = 32;

D = dir(path);
for frameN = 1:5
    [hdr, RF] = readDAQ(strcat(path,filesep,D(end).name,filesep), chanls, frameN, reRoute);
    Bpre = sqrt( abs( hilbert(RF) ) ) ;
    figure;
%    subplot(121);
    imagesc( (Bpre(1:1168,:)) );
    colormap(gray);
    title(['Prebeamformed ',num2str( frameN )]);
    axis square;
    xlabel('Channels')
    ylabel('Samples (Depth)')
    
    [Bsc,ax,la]=scan_convert( Bpre(1:1168,:) ,'sector',-149/2,149,-1,2); 
    Bsc(Bsc==Bsc(1))=1;
    figure; imagesc(fliplr(la),ax, Bsc); axis image; colormap gray
    title(['Prebeamformed ',num2str( frameN )]);
    xlabel('Channels')
    ylabel('Samples (Depth)')
    set(gca,'YDir','normal')
    %
%{   
    out = beamformDAQ(RF, fulAprSz);
    Bpost = sqrt( abs( hilbert(out) ) ) ;
    subplot(122);
    imagesc( Bpost );
    colormap(gray);
    title(['Beamformed ',num2str( frameN )]);
    axis square;
    xlabel('Channels')
    ylabel('Samples (Depth)')
%}
end
