function [Bpre, Bpost] = quickshow2(path)

nCh = 128;              % number of channels
reRoute = true;         % true: transducer element (correct image), false: DAQ element
chanls = ones(1,nCh);   % what channels to read (DAQ element), for each channel set to 1 
                        % if you want to read the data
fulAprSz = 32;
%{
if nargin == 1
    D = dir(path);
    idx = length(D);
    while ~D(idx).isdir
        idx = idx-1;
    end
    folder = [path '\' D(idx).name '\'];
else
    folder = path;
end

%}
folder = path;
for frameN = 1:4
    [hdr, RF] = readDAQ(folder, chanls, frameN, reRoute);
    y = [1 size(RF,1)] / 40e6 * 1540 * 1e3;
    x = [1 size(RF,2)] / 128 * 60;
    RR(:,:,frameN)=RF;
    Bpre = sqrt( abs( hilbert(RF) ) ) ;
    figure;
    subplot(121);
    imagesc(x, y, Bpre);
    colormap(gray);
    title(['Prebeamformed ',num2str( frameN )]);
    axis image;
    xlabel('Distance (mm)')
    ylabel('Distance (mm)')
    
    out = beamformDAQ(RF, fulAprSz);
    Bpost = sqrt( abs( hilbert(out) ) ) ;
    subplot(122);
    imagesc(x ,y ,Bpost);
    colormap(gray);
    title(['Beamformed ',num2str( frameN )]);
    axis image;
    xlabel('Distance (mm)')
    ylabel('Distance (mm)')
end
folder

K = strfind(path,'-DAQ');
if isempty(K)
    newdir = strcat(folder,filesep,datestr(clock,'YYYYmmddHHMMSS'),'-DAQ');
    copyfile(strcat(folder,filesep,'*.daq'),newdir);
end

%a =fix(clock);
%save(strcat( num2str(a(1)),num2str(a(2)),num2str(a(3)),num2str(a(4)),num2str(a(5)),num2str(a(6)) ))
%save(datestr(clock,'YYYYmmddHHMMSS'))
